现在的位置: 首页开发工具>正文
java.lang.UnsupportedClassVersionError: Bad version number in .class file
2012年12月22日 开发工具 暂无评论 ⁄ 被围观 1,994 views+

问题: java.lang.UnsupportedClassVersionError: Bad version number in .class file

原因:运行的JDK版本与支撑application运行的JDK版本不一致

解决方法:

1.Window --> Preferences -->Java --> compiler中的compiler compliance level
对应的下拉菜单中选择JDK版本.
2.Window --> Preferences -->MyEclipse --> Servers -->Weblogic --> Weblogic n.x
-->JDK中的Weblogic JDK name下的下拉菜单中选择自身电脑上安装的JDK版本
(必需与步骤1中的JDK版本一致).



给我留言

留言无头像?


无觅相关文章插件,快速提升流量